Voro++: voro::wall_plane Struct Reference

Voro++

- Main Page
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
voro::wall_plane Struct Reference

A class representing a plane wall object. More...

`#include <wall.hh>`

Inheritance diagram for voro::wall_plane:

## Public Member Functions
| wall_plane (double xc_, double yc_, double zc_, double ac_, int w_id_=-99)
bool | point_inside (double x, double y, double z)
template<class v_cell >
bool | cut_cell_base (v_cell &c, double x, double y, double z)
bool | cut_cell (voronoicell &c, double x, double y, double z)
bool | cut_cell (voronoicell_neighbor &c, double x, double y, double z)

## Detailed Description

This class represents a single plane wall object.

Definition at line 44 of file wall.hh.

## Constructor & Destructor Documentation

voro::wall_plane::wall_plane | ( | double | xc_,
|  | double | yc_,
|  | double | zc_,
|  | double | ac_,
|  | int | w_id_ = `-99`
| ) |  |
| inline

Constructs a plane wall object.

Parameters

  [in] | (xc_,yc_,zc_) | a normal vector to the plane.
  [in] | ac_ | a displacement along the normal vector.
  [in] | w_id_ | an ID number to associate with the wall for neighbor tracking.

Definition at line 51 of file wall.hh.

## Member Function Documentation

bool voro::wall_plane::cut_cell | ( | voronoicell & | c,
|  | double | x,
|  | double | y,
|  | double | z
| ) |  |
| inlinevirtual

A pure virtual function for cutting a cell without neighbor-tracking with a wall.

Implements voro::wall.

Definition at line 56 of file wall.hh.

bool voro::wall_plane::cut_cell | ( | voronoicell_neighbor & | c,
|  | double | x,
|  | double | y,
|  | double | z
| ) |  |
| inlinevirtual

A pure virtual function for cutting a cell with neighbor-tracking enabled with a wall.

Implements voro::wall.

Definition at line 57 of file wall.hh.

template<class v_cell >

template bool voro::wall_plane::cut_cell_base | ( | v_cell & | c,
|  | double | x,
|  | double | y,
|  | double | z
| ) |  |

Cuts a cell by the plane wall object.

Parameters

  [in,out] | c | the Voronoi cell to be cut.
  [in] | (x,y,z) | the location of the Voronoi cell.

Returns
  True if the cell still exists, false if the cell is deleted.

Definition at line 50 of file wall.cc.

bool voro::wall_plane::point_inside | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |
| virtual

Tests to see whether a point is inside the plane wall object.

Parameters

  [in] | (x,y,z) | the vector to test.

Returns
  True if the point is inside, false if the point is outside.

Implements voro::wall.

Definition at line 41 of file wall.cc.

The documentation for this struct was generated from the following files:

- wall.hh
- wall.cc